To: Linux-m68k List <linux-m68k@lists.linux-m68k.org>
Subject: L68K: dsp56k patch
From: Tomas Berndtsson <tobe@lysator.liu.se>
Date: 04 Nov 1997 20:05:43 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

well, not much to say on this... :)

I haven't tried the kernel yet, so I don't know if it'll work for me,
but I'll mail again if it doesn't...


--- linux-2.1.61/drivers/char/dsp56k.c.orig	Sat Nov  1 20:35:23 1997
+++ linux-2.1.61/drivers/char/dsp56k.c	Tue Nov  4 19:55:00 1997
@@ -207,9 +207,10 @@
 	return 0;
 }
 
-static long dsp56k_read(struct inode *inode, struct file *file,
-			char *buf, unsigned long count)
+static ssize_t dsp56k_read(struct file *file, char *buf, size_t count,
+			   loff_t *ppos)
 {
+	struct inode *inode = file->f_dentry->d_inode;
 	int dev = MINOR(inode->i_rdev) & 0x0f;
 
 	switch(dev)
@@ -269,9 +270,10 @@
 	}
 }
 
-static long dsp56k_write(struct inode *inode, struct file *file,
-			 const char *buf, unsigned long count)
+static ssize_t dsp56k_write(struct file *file, const char *buf, size_t count,
+			    loff_t *ppos)
 {
+	struct inode *inode = file->f_dentry->d_inode;
 	int dev = MINOR(inode->i_rdev) & 0x0f;
 
 	switch(dev)
